## org.eclipse.datatools.connectivity.sqm.core.ui.services
Interface ISorterValidatorProvider

    public interface ISorterValidatorProvider

Author:
  ljulien

Method Summary
`int` `compareTo(java.lang.Object element1, java.lang.Object element2)`
`boolean` `isNotValid(java.lang.Object element1, java.lang.Object element2)`
`boolean` `shouldCompare(java.lang.Object element1, java.lang.Object element2)`

Method Detail

### isNotValid

    boolean isNotValid(java.lang.Object element1,
                       java.lang.Object element2)

### shouldCompare

    boolean shouldCompare(java.lang.Object element1,
                          java.lang.Object element2)

### compareTo

    int compareTo(java.lang.Object element1,
                  java.lang.Object element2)